"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
function wrapPilet(file, prName) {
    if (fs_1.existsSync(file)) {
        var template = fs_1.readFileSync(file, 'utf8');
        var content = template.replace(/^\!function\s?\(e,\s?t\)\s?\{/m, "!function(e,t){function define(d,k){(typeof document!=='undefined')&&(document.currentScript.app=k.apply(null,d.map(window." + prName + ")));}define.amd=!0;");
        fs_1.writeFileSync(file, content);
    }
}
exports.wrapPilet = wrapPilet;
function getVariables(piletPkg, env) {
    return {
        NODE_ENV: env,
        BUILD_TIME: new Date().toDateString(),
        BUILD_TIME_FULL: new Date().toISOString(),
        BUILD_PCKG_VERSION: piletPkg.version,
        BUILD_PCKG_NAME: piletPkg.name,
    };
}
exports.getVariables = getVariables;
function setEnvironment(variables) {
    Object.keys(variables).forEach(function (key) { return (process.env[key] = variables[key]); });
}
exports.setEnvironment = setEnvironment;
function getDefineVariables(variables) {
    return Object.entries(variables).reduce(function (obj, _a) {
        var name = _a[0], value = _a[1];
        obj["process.env." + name] = JSON.stringify(value);
        return obj;
    }, {});
}
exports.getDefineVariables = getDefineVariables;
//# sourceMappingURL=helpers.js.map